<?php
/**
 * Created by PhpStorm.
 * User: pengfei@yidian-inc.com
 * Date: 2021/8/20 2:38 下午
 */

namespace App\Models\marketing\mysql;

use Api\PhpUtils\Mysql\MysqlBase;

class PindanActivityColonelApply extends MysqlBase
{
    const TABLE_NAME = 'pindan_activity_colonel';
    const CONFIG_INDEX = 'marketing';
    const PRIMARY_KEY = 'colonel_apply_id';

    public static function insertRecord(array $colums) : int
    {
        $id = self::insert($colums);
        return intval($id);
    }

    public static function getRecord(array $where, array $colums = ['*'])
    {
        return self::get($colums, $where);
    }

    public static function existPhone(string $phone) : bool
    {
        $exists = self::getRecord(['phone' => $phone],['colonel_apply_id']);
        return !empty($exists) ? true : false;
    }
}